Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::Bounds Exception Reference

UserException for NVList::item(). More...

`#include <BoundsC.h>`

List of all members.

## Public Methods
| Bounds (void)
| Bounds (const Bounds &)
| ~Bounds (void)
Bounds & | operator= (const Bounds &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
Bounds * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Detailed Description

UserException for NVList::item().

Exceptions:

  Bounds |

This exception is thrown on attempts to access 'out of bounds' items in an NVList.

## Constructor & Destructor Documentation

CORBA::Bounds::Bounds | ( | void |  | ) |

CORBA::Bounds::Bounds | ( | const Bounds & |  | ) |

CORBA::Bounds::~Bounds | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * CORBA::Bounds::_alloc | ( | void |  | ) | `[static]`

CORBA::Bounds * CORBA::Bounds::_downcast | ( | CORBA::Exception * | exc | ) | `[static]`

void CORBA::Bounds::_raise | ( | void |  | ) | `[virtual]`

void CORBA::Bounds::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

virtual void CORBA::Bounds::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

CORBA::Exception * CORBA::Bounds::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void CORBA::Bounds::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

virtual CORBA::TypeCode_ptr CORBA::Bounds::_type | ( | void |  | ) | const`[virtual]`

Bounds& CORBA::Bounds::operator= | ( | const Bounds & |  | ) |

The documentation for this exception was generated from the following files:

- Bounds.pidl
- BoundsC.h
- BoundsC.cpp